Index: logger.c
===================================================================
RCS file: /usr/cvsroot/asterisk/logger.c,v
retrieving revision 1.46
diff -u -r1.46 logger.c
--- logger.c	24 Oct 2004 06:12:21 -0000	1.46
+++ logger.c	28 Oct 2004 04:03:25 -0000
@@ -484,11 +484,11 @@
 		return;
 	}
 	if (level == __LOG_VERBOSE) {
-		snprintf(buf, sizeof(buf), "VERBOSE[%ld]: ", (long)pthread_self());
+		snprintf(buf, sizeof(buf), "VERBOSE[%lu]: ", pthread_self());
 		level = __LOG_DEBUG;
 	} else {
-		snprintf(buf, sizeof(buf), "%s[%ld]: %s:%d in %s: ",
-			levels[level], (long)pthread_self(), file, line, function);
+		snprintf(buf, sizeof(buf), "%s[%lu]: %s:%d in %s: ",
+			levels[level], pthread_self(), file, line, function);
 	}
 	vsnprintf(buf+strlen(buf), sizeof(buf)-strlen(buf), fmt, args);
 	syslog(syslog_level_map[level], "%s", buf);
@@ -546,10 +546,10 @@
 
 				if (level != __LOG_VERBOSE) {
 					sprintf(linestr, "%d", line);
-					snprintf(buf, sizeof(buf), "%s %s[%ld]: %s:%s %s: ",
+					snprintf(buf, sizeof(buf), "%s %s[%lu]: %s:%s %s: ",
 						date,
 						term_color(tmp1, levels[level], colors[level], 0, sizeof(tmp1)),
-						(long)pthread_self(),
+						pthread_self(),
 						term_color(tmp2, file, COLOR_BRWHITE, 0, sizeof(tmp2)),
 						term_color(tmp3, linestr, COLOR_BRWHITE, 0, sizeof(tmp3)),
 						term_color(tmp4, function, COLOR_BRWHITE, 0, sizeof(tmp4)));
@@ -561,8 +561,8 @@
 					ast_console_puts(buf);
 				}
 			} else if ((chan->logmask & (1 << level)) && (chan->fileptr)) {
-				snprintf(buf, sizeof(buf), "%s %s[%ld]: ", date,
-					levels[level], (long)pthread_self());
+				snprintf(buf, sizeof(buf), "%s %s[%lu]: ", date,
+					levels[level], pthread_self());
 				fprintf(chan->fileptr, buf);
 				va_start(ap, fmt);
 				vsnprintf(buf, sizeof(buf), fmt, ap);
